Bug 181609 - Just a sugestion about the Mirror Tutorial
Just a sugestion about the Mirror Tutorial
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Karsten Wade
http://fedora.redhat.com/docs/mirror/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-15 07:28 EST by Razvan Sandu
Modified: 2009-07-07 00:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-08 01:37:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Razvan Sandu 2006-02-15 07:28:56 EST
Hello,

First of all, thanks for the Mirror Tutorial, which is *really* useful !

Just a suggestion about something to add:

In its present form, the document assumes the mirrored files should stay in
/var/www/mirror, which is fine if clients use this mirror through HTTP.

A more flexible approach would be to consider a multi-protocol server,
accessible through HTTP (Apache), NFS, FTP (vsftpd) and rsync (for syncronizing
with other downstream mirrors), able to also support PXE network installs from
this mirror. This will require to specify in the tutorial:
- the correct, FHS-compliant place for storing the mirrored files;
- the settings for the four servers (HTTP, NFS, FTP, rsync-server);
- SELinux-related issues (all programs, both clients and servers, should have
the appropriate type of rights on the mirrored files)
- PXE-related settings (for performing network installations through)

Usually the local mirror contains only the ISOs, updates (and eventually
extras), not the "exploded" distro.

A multiprotocol server would be suitable in an multi-location enterprise
environment, both for updates and network installs.

Thanks a lot !


Regards,
Razvan <rsandu @ softhome.net>
Comment 1 Paul W. Frields 2007-12-08 01:37:09 EST
The mirror-tutorial is obsolete and no longer maintained.  For current mirroring
information pertinent to end users and mirror administrators, refer to:

http://fedoraproject.org/wiki/Infrastructure/MirrorManager
Comment 2 eric@christensenplace.us 2009-07-07 00:09:35 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.